CGAL 6.2 - 2D Triangulation Data Structure: TriangulationDataStructure_2::Vertex Concept Reference

CGAL 6.2 - 2D Triangulation Data Structure

Loading...
Searching...
No Matches
List of all members
TriangulationDataStructure_2::Vertex Concept Reference
Reference Manual » Concepts

## Definition

The concept `TriangulationDataStructure_2::Vertex` describes the type used by a `TriangulationDataStructure_2` to store the vertices.

Some of the requirements listed below are of geometric nature and are optional when using the triangulation data structure class alone. They became required when the triangulation data structure is plugged into a triangulation.

Creation

In order to obtain new vertices or destruct unused vertices, the user must call the `create_vertex()` and `delete_vertex()` methods of the triangulation data structure.

Has models
  `CGAL::Triangulation_ds_vertex_base_2<Tds>`

See also
  `TriangulationDSVertexBase_2`
  `TriangulationDataStructure_2::Face`
  `TriangulationDataStructure_2`

## Types
The class `TriangulationDataStructure_2::Vertex` defines the same types as the triangulation data structure except the iterators.
typedef unspecified_type | Point
| Optional for the triangulation data structure used alone.

## Access Functions
Point | point () const
| returns the geometric information of the vertex.
Face_handle | face () const
| returns a face of the triangulation having `*this` as a vertex.

## Setting
void | set_point (const Point &p)
| This is an advanced function.
void | set_face (Face_handle f)
| This is an advanced function.

## Checking
bool | is_valid (bool verbose=false) const
| Checks the validity of the vertex.
std::istream & | operator>> (std::istream &is, TriangulationDataStructure_2::Vertex &v)
| Inputs the non-combinatorial information possibly stored in the vertex.
std::ostream & | operator<< (std::ostream &os, const TriangulationDataStructure_2::Vertex &v)
| Outputs the non combinatorial operation possibly stored in the vertex.

## Member Function Documentation

## ◆ is_valid()

bool TriangulationDataStructure_2::Vertex::is_valid | ( | bool | verbose = `false` | ) | const

Checks the validity of the vertex.

Must check that its incident face has this vertex. The validity of the base vertex is also checked.

When `verbose` is set to `true`, messages are printed to give a precise indication on the kind of invalidity encountered.

## ◆ set_face()

void TriangulationDataStructure_2::Vertex::set_face | ( | Face_handle | f | ) |

This is an advanced function.

Advanced

sets the incident face to `f`.

## ◆ set_point()

void TriangulationDataStructure_2::Vertex::set_point | ( | const Point & | p | ) |

This is an advanced function.

Advanced

sets the geometric information to `p`.